#!/bin/bash
# Run each install_fnp.sh script bundled with this utility. 

# Set working directory to script directory.
cd "$(dirname ${BASH_SOURCE[0]})"

# Iterate through each directory bundled with the script.
for INSTALL_FNP_DIR in $(find ./ -type d -mindepth 1 -maxdepth 1 | sort -V)
do 
    # Check if directory contains an install_fnp.sh script. 
    if [[ -x "$INSTALL_FNP_DIR/install_fnp.sh" ]]
    then 
        # Run it. 
        INSTALL_FNP_VER=$(basename $INSTALL_FNP_DIR)
        echo "Installing anchor service version $INSTALL_FNP_VER..." > $STDOUT    
        cd "${INSTALL_FNP_DIR}" 
        ./install_fnp.sh > $STDOUT 
        [[ $? == 0 ]] && echo "Installed anchor service version $INSTALL_FNP_VER." > $APPOUT
        cd ..
    fi 
done 